%define major 5
%define libname %mklibname kwaylandserver %{major}
%define devname %mklibname -d kwaylandserver
%define plasmaver %(echo %{version} |cut -d. -f1-3)
%define stable %([ "`echo %{plasmaver} |cut -d. -f3`" -ge 80 ] && echo -n un; echo -n stable)

Summary: 	KDE Library for integration with the Wayland display server
Name: 		kwayland-server
Version:	5.24.5
Release: 	%mkrel 2
Source0: 	http://download.kde.org/%{stable}/plasma/%{plasmaver}/%{name}-%{version}.tar.xz
Url: 		http://kde.org/
License: 	GPL
Group: 		Graphical desktop/KDE5
BuildRequires: cmake
BuildRequires: lib64qt5concurrent-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64wayland-devel
BuildRequires: lib64x11-devel
BuildRequires: libstdc++-devel
BuildRequires: mesa-devel
BuildRequires: ninja
BuildRequires: lib64plasma-wayland-protocols-devel

%description
KDE Library for integration with the Wayland display server.

%package -n %{libname}
Summary:	KDE Library for working with the Wayland display server
Group:		Graphical desktop/KDE5
Requires:	%{name}

%description -n %{libname}
KDE Library for working with the Wayland display server

%package -n %{devname}
Summary:	Development files for KDE Wayland display server integration
Group:		Development/Libraries
Requires:	%{libname}

%description -n %{devname}
Development files for KDE Wayland display server integration


%prep
%setup -q

%build
export LDFLAGS="-L/usr/lib64/libglvnd/ $LDFLAGS"
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
%cmake_kf5 -GNinja -DSYSCONF_INSTALL_DIR="%_sysconfdir" -DCMAKE_BUILD_TYPE=Release
%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build

%files
%{_datadir}/qlogging-categories5/kwaylandserver.categories

%files -n %{libname}
%{_libdir}/libKWaylandServer.so.%{major}*

%files -n %{devname}
%{_includedir}/KWaylandServer
%{_includedir}/kwaylandserver_version.h
%{_libdir}/cmake/KWaylandServer
%{_libdir}/libKWaylandServer.so

%changelog
* Tue Jun 14 2022 tex - 5.24.5-2pclos2022
- rebuild against updates

* Tue May 03 2022 tex - 5.24.5-1pclos2022
- new version

* Tue Mar 29 2022 tex - 5.24.4-1pclos2022
- new version

* Tue Mar 08 2022 tex - 5.24.3-1pclos2022
- new version

* Tue Feb 22 2022 tex - 5.24.2-1pclos2022
- new version

* Tue Feb 15 2022 tex - 5.24.1-1pclos2022
- new version

* Tue Feb 08 2022 tex - 5.24.0-1pclos2022
- new version

* Wed Jan 05 2022 tex - 5.23.5-1pclos2022
- new version

* Tue Nov 30 2021 tex - 5.23.4-1pclos2021
- new version

* Tue Nov 09 2021 tex - 5.23.3-1pclos2021
- new version

* Tue Oct 26 2021 tex - 5.23.2-1pclos2021
- new version

* Tue Oct 19 2021 tex - 5.23.1-1pclos2021
- new version

* Thu Oct 14 2021 tex - 5.23.0-1pclos2021
- new version

* Tue Aug 31 2021 tex - 5.22.5-1pclos2021
- new version

* Tue Jul 27 2021 tex - 5.22.4-1pclos2021
- new version

* Tue Jul 06 2021 tex - 5.22.3-1pclos2021
- new version

* Tue Jun 22 2021 tex - 5.22.2.1-1pclos2021
- new version

* Tue Jun 15 2021 tex - 5.22.1-1pclos2021
- new version

